import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class BorderLayoutDemo extends JFrame
{
   public BorderLayoutDemo ()
   {
      super ();
      init ();
   }
   public BorderLayoutDemo (String Title)
   {
      super (Title);
      init ();
   }

   public void init ()
   {
      final int NB_BUTTONS = 5;
      JButton [] MyButtons = new JButton [NB_BUTTONS];

      getContentPane ().setLayout (new BorderLayout ());

      for (int i = 0; i < MyButtons.length; i++)
      {
         MyButtons[i] = new JButton ("Button " + i);
      }

      getContentPane ().add (MyButtons[0], BorderLayout.EAST);
      getContentPane ().add (MyButtons[1], BorderLayout.NORTH);
      getContentPane ().add (MyButtons[2], BorderLayout.WEST);
      getContentPane ().add (MyButtons[3], BorderLayout.SOUTH);
      getContentPane ().add (MyButtons[4], BorderLayout.CENTER);

      addWindowListener
      (
         new WindowAdapter()
         {
            public void windowClosing(WindowEvent e)
            {
               System.exit(0);
            }
         }
      );
   }

   public static void main (String [] args)
   {
      BorderLayoutDemo frame = new BorderLayoutDemo ("BorderLayout demo");
      frame.pack ();
      frame.setVisible (true);
   }
}
