import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class KeyWindow extends JFrame implements KeyListener
{
   private JTextArea whateverHappened;
   public KeyWindow (String Title)
   {
      super(Title);
      init ();
   }
   public void init ()
   {
      whateverHappened = new JTextArea(10, 15);
      getContentPane ().add (whateverHappened, BorderLayout.CENTER);
      addKeyListener (this);
   }
   public void keyPressed (KeyEvent e)
   {
      whateverHappened.setText ("key pressed: " + e.getKeyText (e.getKeyCode ()));
   }
   public void keyReleased (KeyEvent e)
   {
      whateverHappened.setText ("key released: " + e.getKeyText (e.getKeyCode ()));
   }
   public void keyTyped (KeyEvent e)
   {
      whateverHappened.setText ("key typed: " + e.getKeyChar ());
   }
   public static void main (String [] args)
   {
      KeyWindow kw = new KeyWindow ("Key demo");
      kw.pack ();
      kw.setVisible (true);
   }
}