import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

public class ListWindow extends JFrame implements ListSelectionListener
{
   private static final String [] LIST_ELEMENTS = { "One", "Two", "Three" };
   private JLabel theLabel;
   private JList theList;
   public ListWindow (String Title)
   {
      super(Title);
      init ();
   }
   public void init ()
   {
      theList = new JList (LIST_ELEMENTS);
      theList.setVisibleRowCount (LIST_ELEMENTS.length);
      theList.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
      theList.addListSelectionListener (this);
      theLabel = new JLabel ("Your choice?");
      getContentPane ().add (theLabel, BorderLayout.NORTH);
      getContentPane ().add (new JScrollPane (theList));
   }
   public void valueChanged (ListSelectionEvent e)
   {
      theLabel.setText ("Pick: "+ LIST_ELEMENTS[theList.getSelectedIndex()]);
   }
   public static void main (String [] args)
   {
      ListWindow lw = new ListWindow ("List event demo");
      lw.pack ();
      lw.setVisible (true);
   } 
}