import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class ItemWindow extends JFrame implements ItemListener
{
   private JCheckBox theCheckBox;
   public ItemWindow (String Title)
   {
      super(Title);
      init ();
   }
   public void init ()
   {
      theCheckBox = new JCheckBox("Some Text");
      theCheckBox.addItemListener (this);
      getContentPane ().add (theCheckBox, BorderLayout.CENTER);
   }
   public void itemStateChanged (ItemEvent e)
   {
      if (e.getStateChange () == ItemEvent.SELECTED)
         theCheckBox.setText ("I'm selected");
      else
         theCheckBox.setText ("I'm not selected");
   }
   public static void main (String [] args)
   {
      ItemWindow iw = new ItemWindow ("Item event example");
      iw.pack();
      iw.setVisible (true);
   }
}