import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class FlowLayoutDemo extends JFrame
{
   public FlowLayoutDemo (String Title)
   {
      super (Title);
      init ();
   }

   public void init ()
   {
      final int NB_BUTTONS = 5;
      JButton [] MyButtons = new JButton [NB_BUTTONS];

      getContentPane ().setLayout (new FlowLayout ());

      for (int i = 0; i < MyButtons.length; i++)
      {
         MyButtons[i] = new JButton ("Button " + i);
         getContentPane ().add (MyButtons[i]);
      }

      addWindowListener
      (
         new WindowAdapter()
         {
            public void windowClosing(WindowEvent e)
            {
               System.exit(0);
            }
         }
      );
   }

   public static void main (String [] args)
   {
      FlowLayoutDemo frame = new FlowLayoutDemo ("FlowLayout demo");
      frame.pack ();
      frame.setVisible (true);
   }
}
