import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class MouseWindow extends JFrame
{
   private JLabel theStatus;
   public MouseWindow (String Title)
   {
      super(Title);
      init ();
   }
   public void init ()
   {
      theStatus= new JLabel ("Last mouse action?");
      getContentPane ().add (theStatus, BorderLayout.CENTER);
      addMouseListener (
         new MouseAdapter ()
         {
            public void mouseClicked (MouseEvent e)
            {
               theStatus.setText ("Mouse click at " + e.getX ()+ "," + e.getY ());
            }
         }
      );
   }
   public static void main (String [] args)
   {
      MouseWindow mw = new MouseWindow ("Mouse event demo");
      mw.setSize (200, 200);
      mw.setVisible (true);
      mw.addWindowListener (
         new WindowAdapter ()
         {
            public void windowClosing (WindowEvent e)
            {
               System.exit (0);
            }
         }
      );
   }
}
